import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'estadi_matches_controller.dart';

class EstadiMatchesPage extends GetWidget<EstadiMatchesController>{
  final controller = Get.put(EstadiMatchesController());

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        padding: EdgeInsets.symmetric(horizontal: 16.w),
        width: double.infinity,
        color: const Color.fromRGBO(254, 254, 254, 1),
        child: Column(
          children: [
            SizedBox(height: 16.h,),
            Text(controller.itemMatches.value.home?.stadium?? '', style:  TextStyle(color: Colors.black, fontSize: 12.sp, fontWeight: FontWeight.bold),),
            SizedBox(height: 4.h,),
            Text('REFEREE', style:  TextStyle(color: Colors.grey, fontSize: 12.sp, fontWeight: FontWeight.w400),),
            SizedBox(height: 8.h,),
            Icon(Icons.account_balance_rounded, color: Colors.grey,size: 24.w,),
            SizedBox(height: 4.h,),
            Text('14521', style:  TextStyle(color: Colors.black, fontSize: 12.sp, fontWeight: FontWeight.bold),),
            Text('ATTENDANCE', style:  TextStyle(color: Colors.grey, fontSize: 12.sp, fontWeight: FontWeight.w400),),
            SizedBox(height: 8.h,),

            Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Container(
                color: Colors.grey,
                width: 30.w,
                height: 0.8,
              ),
              Container(
                margin: EdgeInsets.only(right: 2.w),
                color: Colors.grey,
                width: 1,
                height: 10.h,
              ),
              Text('544KM', style:  TextStyle(color: Colors.black, fontSize: 12.sp, fontWeight: FontWeight.bold),),
              Container(
                margin: EdgeInsets.only(left: 2.w),
                color: Colors.grey,
                width: 1,
                height: 10.h,
              ),
              Container(
                color: Colors.grey,
                width: 30.w,
                height: 0.8,
              ),
            ],
          ),
            Text('DISTACE BETWWEN VENUSS', style:  TextStyle(color: Colors.grey, fontSize: 12.sp, fontWeight: FontWeight.w400),),


          ],
        ),
      ),
    );
  }
}